#ifndef _FXAASHADER_H_
#define _FXAASHADER_H_

#include "BaseShader.h"

class FxaaShader : public BaseShader
{
	struct FxaaFactorsBuffer
	{
		float subpixelAliasingRemoval;
		float edgeThreshold;
		float edgeThresholdMin;
		float gather4Alpha;
		float discard;
		float greenAsLuma;
		XMFLOAT2 qualityRcpFrame;
		float qualityPreset;
		XMFLOAT3 padding;
	};

public:
	FxaaShader(ID3D11Device* device, HWND hwnd);
	~FxaaShader();

	void Render(ID3D11DeviceContext* deviceContext, D3D* d3d, void* resourceContainer);

protected:
	void InitShader(WCHAR*, WCHAR*);

protected:
	ID3D11Buffer* m_fxaaFactorsBuffer;
};

#endif