// I/O Structs
struct VSInput
{
	float3 pos : POSITION;
	float2 tex : TEXCOORD0;
	float3 normal : NORMAL;
	float4 tangent : TANGENT;
};

struct VSOutput
{
	float4 pos : SV_POSITION;
	float2 tex : TEXCOORD;
};

VSOutput main(in VSInput input)
{
	VSOutput output;

	output.pos = float4(input.pos, 1.0f);

	output.tex = input.tex;

	return output;
}