#ifndef _TESTSCENE_H_
#define _TESTSCENE_H_

#include "BaseScene.h"

#include "PrePassGBufferShader.h"
#include "PrePassMaskShader.h"
#include "PrePassFinalShader.h"
#include "DepthShader.h"
#include "AmbientOcclusionShader.h"
#include "BilateralBlurShader.h"
#include "ShadowMapShader.h"

#include "QuadMesh.h"
#include "SphereMesh.h"
#include "Model.h"

class TestScene : public BaseScene
{
public:
	TestScene(D3D* d3d, HWND hwnd, INIReader* iniReader);
	~TestScene();

	void Update(Input* input, float frameTime);
	void Render();

protected:
	void HandleInput(Input* input, float frameTime);
};

#endif