// Constants
cbuffer FrustumCorners : register(b0)
{
	float4 frustumCorners[4];
};

// I/O Structs
struct VSInput
{
	float3 pos : POSITION;
	float2 tex : TEXCOORD0;
	float3 normal : NORMAL;
	float4 tangent : TANGENT;
};

struct VSOutput
{
	float4 pos : SV_Position;
	float2 tex : TEXCOORD0;
	float3 farPlane : TEXCOORD1;
};

VSOutput main( in VSInput input )
{
	VSOutput output;

	output.pos = float4(input.pos, 1.0f);
	output.tex = input.tex;

	//calculate the plane index here
	if (input.tex.x = 0.0f)
	{
		if (input.tex.y = 0.0f)
		{
			output.farPlane = frustumCorners[1].xyz;
		}
		else
		{
			output.farPlane = frustumCorners[0].xyz;
		}
	}
	else
	{
		if (input.tex.y = 0.0f)
		{
			output.farPlane = frustumCorners[2].xyz;
		}
		else
		{
			output.farPlane = frustumCorners[3].xyz;
		}
	}

	return output;
}