struct VSOutput
{
	//float4 position : SV_POSITION;
	float4 lightViewPos : SV_POSITION;
	float3 lightPos : TEXCOORD2;
};

float4 main(VSOutput input) : SV_TARGET
{
	float lightDepthValue = 1.0f - (input.lightViewPos.z / input.lightViewPos.w);

	float4 lightMap = input.lightViewPos / input.lightViewPos.w;

	//return lightMap;

	return float4(lightDepthValue, lightDepthValue, lightDepthValue, 1.0f);
}